{% extends "app/layout.html" %}

{% block content %}
{% load staticfiles %}
<link rel="stylesheet" type="text/css" href="{% static 'app/content/jquery-ui/1.11.3/jquery-ui.min.css' %}" />
<script type="text/javascript">
    var available_markets = JSON.parse("{{ available_markets | safe | escapejs }}");
    console.log(available_markets)
</script>
<div class="container body-content">
    <div class="row">
        <div class="col-sm-12 col-lg-12 col-xs-12">
            <section name="registrationArea" role="region">
                <form action="#" class="form-horizontal" method="post" id="registrationForm" name="registrationForm" role="form">
                    {% csrf_token %}
                    <h3 role="heading">
                        <span title="Do you want to access our platform? Create a new account now!" style="margin-left: 150px">Create a new Account</span>
                    </h3>
                    <hr />
                    <!--form inputs -->
                    <fieldset>
                        <div class="form-group">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" for="rg_name"><strong>First name</strong><small class="text-danger">*</small></label>
                            </div>
                            <div class="col-md-5 col-sm-5 col-lg-5 col-xs-12" title="Insert your name">
                                <input type="text" class="form-control" name="rg_name" id="rg_name" autocomplete="off" maxlength="45" placeholder="enter your name" autofocus/>
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-3">
                                <label class="label control-label label-danger pull-left hidden" id="rg_name_info">Type at least 2 characters</label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" for="rg_lastname"><strong>Last name</strong><small class="text-danger">*</small></label>
                            </div>
                            <div class="col-md-5 col-sm-5 col-lg-5 col-xs-12">
                                <input type="text" class="form-control" name="rg_lastname" id="rg_lastname" autocomplete="off" maxlength="45" placeholder="enter your lastname" />
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-3">
                                <label class="label pull-left label-danger hidden" id="rg_lastname_info">Type at least 2 characters</label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" for="rg_username"><strong>Username</strong><small class="text-danger">*</small></label>
                            </div>
                            <div class="col-md-5 col-sm-5 col-lg-5 col-xs-12">
                                <input type="text" class="form-control" name="rg_username" id="rg_username" autocomplete="off" maxlength="30" placeholder="enter your username" />
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-3">
                                <label class="label label-danger pull-left hidden" id="rg_username_info"></label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" for="rg_email"><strong>Email account</strong><small class="text-danger">*</small></label>
                            </div>
                            <div class="col-md-5 col-sm-5 col-lg-5 col-xs-12">
                                <input type="text" class="form-control" name="rg_email" id="rg_email" autocomplete="off" maxlength="45" placeholder="enter a valid email account" />
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-3">
                                <label class="label pull-left label-danger hidden" id="rg_email_info"></label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" for="rg_pwd"><strong>Password</strong><small class="text-danger">*</small></label>
                            </div>
                            <div class="col-md-5 col-sm-5 col-lg-5 col-xs-12">
                                <input type="password" class="form-control" name="rg_pwd" id="rg_pwd" autocomplete="off" maxlength="20" placeholder="enter your password" />
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-3">
                                <label class="label pull-left label-danger hidden" id="rg_pwd_info">Use at least 1 digit and 6 characters </label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" for="rg_pwd_confirm"><strong>Password confirmation</strong><small class="text-danger">*</small></label>
                            </div>
                            <div class="col-md-5 col-sm-5 col-lg-5 col-xs-12">
                                <input type="password" class="form-control" name="rg_pwd_confirm" id="rg_pwd_confirm" autocomplete="off" maxlength="20" placeholder="confirm your password" />
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-3">
                                <label class="label pull-left label-danger hidden" id="rg_pwd_confirm_info">The password does not match</label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" for="rg_company"><strong>Company name</strong><small class="text-danger">*</small></label>
                            </div>
                            <div class="col-md-5 col-sm-5 col-lg-5 col-xs-12" title="Insert your name">
                                <input type="text" class="form-control" name="rg_company" id="rg_company" autocomplete="off" maxlength="45" placeholder="enter your company brand name" autofocus/>
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-3">
                                <label class="label control-label label-danger pull-left hidden" id="rg_company_info">Type at least 2 characters</label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" for="rg_actor_type"><strong>Actor type</strong><small class="text-danger">*</small></label>
                            </div>
                            <div class="col-md-5 col-sm-5 col-lg-5 col-xs-12">
                                <select class="form-control" name="rg_actor_type" id="rg_actor_type">
                                    <option value="-1" disabled="disabled" selected="selected">-- Select a type --</option>
                                </select>
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-3">
                                <label class="label pull-left label-danger hidden" id="rg_actor_type_info">Select a type</label>
                            </div>
                        </div>

                        <div class="form-group hidden" id="rg_desired_dso_row">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" for="rg_desired_dso"><strong>Desired DSO</strong><small class="text-danger">*</small></label>
                            </div>
                            <div class="col-md-5 col-sm-5 col-lg-5 col-xs-12">
                                <select class="form-control" name="rg_desired_dso" id="rg_desired_dso">
                                    <option value="-1" disabled="disabled" selected="selected">-- Select DSO --</option>
                                </select>
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-3">
                                <label class="label pull-left label-danger hidden" id="rg_desired_dso_info">Select the DSO of your interest</label>
                            </div>
                        </div>

                          <div class="form-group" id="rg_marketplaces_row">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" for="rg_marketplaces"><strong>Desired Marketplaces</strong><small class="text-danger">*</small></label>
                            </div>

                            <div class="col-xs-6 col-sm-3 col-md-3 " id="market_places_checkbox">
                            </div>
                               <div class="col-xs-6 col-sm-3 col-md-3">
                                <label class="label pull-left label-danger hidden" id="rg_marketplaces_info">Select the DSO of your interest</label>
                            </div>
                        </div>


                        <div class="form-group">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" for="rg_vat"><strong>VAT number</strong><small class="text-danger">*</small></label>
                            </div>
                            <div class="col-md-5 col-sm-5 col-lg-5 col-xs-12">
                                <input type="text" class="form-control" name="rg_vat" id="rg_vat" autocomplete="off" maxlength="45" placeholder="enter your VAT" />
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-3">
                                <label class="label pull-left label-danger hidden" id="rg_vat_info">Type at least 7 digits.</label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" for="rg_mobile"><strong>Mobile phone</strong><small class="text-danger">*</small></label>
                            </div>
                            <div class="col-md-5 col-sm-5 col-lg-5 col-xs-12">
                                <input type="tel" class="form-control form-control-static" name="rg_mobile" id="rg_mobile" autocomplete="off" maxlength="15" placeholder="enter your phone" />
                            </div>
                            <div class="col-xs-6 col-sm-3 col-md-3">
                                <label class="label pull-left label-danger hidden" id="rg_mobile_info">Type at least 10 digits. Use 00 instead of + symbol</label>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-3 col-md-3 col-lg-3 col-xs-12">
                                <label class="pull-right control-label" role="note" for="rg_question"><span id="literal">{{ question }} = </span>? <small class="text-danger">*</small></label>
                            </div>
                            <div class="col-md-2 col-sm-2 col-lg-2 col-xs-12">
                                <input type="text" name="rg_question" id="rg_question" class="form-control" placeholder="the result is...">
                            </div>
                            <div class="col-xs-4 col-sm-4 col-md-4">
                                <label class="label pull-left label-danger hidden" id="rg_question_info">Type the valid result</label>
                            </div>
                        </div>

                        <!-- Info -->
                        <div class="form-group">
                            <div class="col-sm-3 col-md-3 col-xs-12"></div>
                            <div class="col-md-6 col-sm-6 col-lg-6 col-xs-12" style="font-size:14px">
                                <label class="text-default"><span class="text-danger">*</span> Mandatory fields</label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-3 col-xs-12"></div>
                            <div class="col-md-4 col-sm-4 col-lg-4 col-xs-12">
                                <button type="submit" class="btn btn-info btn-block btn-lg btn-catalyst" id="registry-submit" role="button" style="max-width: 280px;">Sign up</button>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-3 col-sm-3 col-xs-12"></div>
                            <div class="col-sm-4 col-md-4 col-xs-12">
                                <label class="text-muted text-center" style="color:gray;font-size:x-small; max-width: 280px;">
                                    By creating an account, you agree to our <a href="/" >CATALYST Marketplace User Agreement</a> and <a href="/">Privacy policy</a>.
                                </label>
                            </div>
                        </div>
                    </fieldset>
                </form>
            </section>
        </div>
    </div>
</div>


{% endblock %}


{% block scripts %}

    {% load staticfiles %}
    <script type="text/javascript">
        var signup_form_urls = "{{FORM_DETAILS}}";
    </script>
    <script src="{% static 'app/scripts/jquery.validate.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/actor/fill_signup_form.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/actor/user-validator.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/actor/signup.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/jquery-ui/1.11.3/jquery-ui.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'app/scripts/jquery.blockUI.js' %}" ></script>
    <script type="text/javascript" src="{% static 'app/scripts/ajax-load.js' %}"></script>
{% endblock %}
